#
# spec file for package grafana-formula
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname grafana
%define fdir  %{_datadir}/susemanager/formulas
Name:           grafana-formula
Version:        0.10.0
Release:        230900.1.1.uyuni3
Summary:        Salt formula for installing and configuring Grafana
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/SUSE/salt-formulas
Source:         grafana-formula-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt Formula for installing and configuring Grafana.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R grafana/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}

%files
%defattr(-,root,root)
%license LICENSE
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}

%changelog
* Mon Jan 15 2024 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.10.0
  * Replace legacy message queue metrics with Salt queue metrics
* Tue Nov 14 2023 Oscar Barrios <obarrios@suse.com>
  * Grafana formula should not be supported in a Proxy/Retail
* Wed Sep 20 2023 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.9.0
  * Add SLES 15 SP5 to supported versions (bsc#1215497)
* Fri Jan 20 2023 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.8.1
  * Fix Uyuni/SUMA dashboard names
* Mon Jan  9 2023 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.8.0
  * Set dashboard names depending on project
  * Update dashboards to use new JSON schema
  * Fix PostgreSQL dashboard queries
  * Migrate deprecated panels to their current replacements
* Fri Nov  4 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.1
  * Fix default password field description (bsc#1203698)
  * Do not require default admin and password fields
* Fri Feb 11 2022 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.7.0
  * Add SLES 15 SP4 and openSUSE Leap 15.4 to supported versions
* Tue Sep 14 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.6.0
  * Add SSH blackbox status check panel to clients dashboard
  * Migrate deprecated panels in clients dashboard
* Wed May  5 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.5.0
- Add basic authentication for Prometheus datasource configuration
* Fri Apr 16 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.4.1
- Fix Grafana dashboards requiring single series (bsc#1184471)
* Mon Feb 22 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.4.0
- Set `supported` to false for unsupported systems (bsc#1182001)
* Fri Jan 22 2021 Witek Bedyk <witold.bedyk@suse.com>
- Add SLES 15 SP3 and openSUSE Leap 15.3 to supported versions
* Fri Oct  2 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.3.0
- Use variable for product name
* Tue Aug  4 2020 Dario Maiocchi <dmaiocchi@suse.com>
- Add HA/SAP dashboards
* Tue Jun  9 2020 Joao Cavalheiro <jcavalheiro@suse.com>
- Version 0.2.2
- Add support for system groups in Client Systems dashboard
* Tue May  5 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.2.1
- Restart Grafana when updating configuration
* Wed Mar 18 2020 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.2
- Add CaaSP datasource and dashboards
* Wed Oct 30 2019 Johannes Renner <jrenner@suse.com>
- Initial version of grafana-formula
